Update a site partner
curl --request PATCH \
--url https://api.lynkwell.com/asset-management/v1/site-partners/{sitePartnerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"siteHost": {
"name": "<string>",
"nayax": {
"subOperatorId": 123
}
},
"utility": {
"name": "<string>"
},
"reportingAgency": {
"name": "<string>"
}
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/site-partners/{sitePartnerId}"
payload = {
"siteHost": {
"name": "<string>",
"nayax": { "subOperatorId": 123 }
},
"utility": { "name": "<string>" },
"reportingAgency": { "name": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
siteHost: {name: '<string>', nayax: {subOperatorId: 123}},
utility: {name: '<string>'},
reportingAgency: {name: '<string>'}
})
};
fetch('https://api.lynkwell.com/asset-management/v1/site-partners/{sitePartnerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "siteHost",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"network": {
"id": "<string>"
},
"siteHost": {
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"contactDetails": {
"email": "<string>",
"phone": "<string>"
},
"nayax": {
"subOperatorId": 123
}
},
"utility": {
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"contactDetails": {
"email": "<string>",
"phone": "<string>"
}
},
"reportingAgency": {
"name": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"contactDetails": {
"email": "<string>",
"phone": "<string>"
}
}
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "ASSET_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Site Partners
Update a site partner
This endpoint updates an existing site partner by its ID.
This action is not enabled by default. You must request additional permissions to perform this action.
PATCH
/
asset-management
/
v1
/
site-partners
/
{sitePartnerId}
Update a site partner
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
ID of the site partner to be updated
Body
application/json
Only one of the properties should be provided. You can not update a site partner to a different type.
Details specific to the site host type of site partner to be updated
Show child attributes
Show child attributes
Details specific to the utility type of site partner to be updated
Show child attributes
Show child attributes
Details specific to the reporting agency type of site partner to be updated
Show child attributes
Show child attributes
Response
Site partner successfully updated
Show child attributes
Show child attributes